using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhSQuoteDetailRepository
    {
        Task<EQuoteDetail> AddAsync(EQuoteDetail quoteDetail);
        Task DeleteAsync(int id);
        Task<PagedResult<EQuoteDetail>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EQuoteDetail?> GetByIdAsync(int id);
        Task UpdateAsync(EQuoteDetail quoteDetail);
    }
}
